> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connections used by a list of playbooks

> Returns the list of connections (with vendor info) that are referenced by the given playbook IDs.



## OpenAPI

````yaml post /workspace/{ws_id}/playbooks/get-playbooks-used-connections
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/playbooks/get-playbooks-used-connections:
    post:
      tags:
        - Workflows
      summary: Get connections used by a list of playbooks
      description: >-
        Returns the list of connections (with vendor info) that are referenced
        by the given playbook IDs.
      operationId: GetPlaybooksUsedConnections
      parameters:
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
      requestBody:
        description: List of playbook IDs to inspect
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/playbook.PlaybooksIdsRequest'
        required: true
      responses:
        '200':
          description: Connections used by the given playbooks
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/api_responses.ConnectionWithVendor'
        '400':
          description: Invalid request body or missing playbook IDs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '404':
          description: One or more playbooks not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    playbook.PlaybooksIdsRequest:
      type: object
      properties:
        playbook_ids:
          type: array
          items:
            type: string
    api_responses.ConnectionWithVendor:
      type: object
      properties:
        connectionName:
          type: string
        iconURI:
          type: string
        usedIn:
          type: integer
        vendor:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````